Category=Commodore64|RPG
Description=Hello! Anybody seen a ghost shortly? The fact is: yes! A whole lot of ghosts, which are on their way to fly to the infamous haunting headquarter. And you are now the only one who can avoid an apocalyptic-sized disaster.

The player becomes chief of a "Ghostbuster commando", which is supposed to clean the town from a horde of cruel ghosts and close the "gate to the other world". The phantoms are attracted by the temple of Zuul. The mayor of this town entrusts you to investigate the paranormal appearances of the recent past and to eliminate the ghost threats for the inhabitants. With this mission and a seed capital of 10.000$ you tackle the task.